accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher Tubbs (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-4162) Invalid ZooKeeper version warning message
Date Mon, 21 Mar 2016 18:51:25 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-4162?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15204885#comment-15204885
] 

Christopher Tubbs commented on ACCUMULO-4162:
---------------------------------------------

I was thinking about that, and I think we can address this issue very conservatively (without
all the shellcheck changes), but I'm concerned about other obscure problems users might run
into because of problems in our scripts. These changes could also introduce new problems,
if not thoroughly tested (and it's hard to get good test coverage of the scripts themselves).
So, I'm torn about trying to fix older branches or not.

I would love to be able to run shellcheck routinely. However, it's written in Haskell, and
there isn't a good maven plugin for it. Getting a comprehensive list of the shell scripts
to check is problematic, too (especially keeping it up to date). It's also not immediately
available on many platforms (like RHEL/CentOS 6). So, for now, it might just be something
we run occasionally.

> Invalid ZooKeeper version warning message
> -----------------------------------------
>
>                 Key: ACCUMULO-4162
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-4162
>             Project: Accumulo
>          Issue Type: Bug
>          Components: scripts
>    Affects Versions: 1.7.1
>            Reporter: Josh Elser
>            Assignee: Christopher Tubbs
>             Fix For: 1.6.6, 1.7.2, 1.8.0
>
>
> Saw this when running Sven's docker image with ZooKeeper-3.4.8:
> {noformat}
> WARN : Using Zookeeper /zookeeper-3.4.8/zookeeper-3.4.8.  Use version 3.4.0 or greater.
Older versions may not work reliably.
> {noformat}
> 3.4.8 > 3.4.0. Looks like the version detection is a bit busted.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message